### Constructor

# Gsk.TextureNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_texture_node_new (
      GdkTexture* texture,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a `GskRenderNode` that will render the given `texture` into the area given by `bounds`.

#### Parameters

`texture` | `GdkTexture*`
| the `GdkTexture`
| Ownership is not transferred to the callee
`bounds` | `const graphene_rect_t*`
| the rectangle to render the texture into
| Ownership is not transferred to the callee

#### Return value

Returns: `GskTextureNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller